import Cocoa

// Eine Zeichenkette in eine ganze Zahl umwandeln
var numericStringValue = "233"
var numericIntValue = Int(numericStringValue)

// Der ursprüngliche Wert als Zeichenkette
var numberValue:String = "120,3456"

// Einen NSNumberFormatter erzeugen
var formatter = NSNumberFormatter()
formatter.locale = NSLocale(localeIdentifier: "de_DE")

// Minimal und maximal zwei Nachkommastellen
formatter.minimumFractionDigits = 2
formatter.maximumFractionDigits = 2

// Ein NSNumber-Typ als Optional denn die
// Umwandlung kann fehlschlagen

// Die explizite Angabe des Typen ist nicht zwingend,
// weil numberFromSring immer einen Optional zurückgibt

var number:NSNumber?
= formatter.numberFromString(numberValue)

if let validNumber = number
{
    var newNumberValue =
    formatter.stringFromNumber(validNumber)
}


// NSNumber mit einer Dezimalzahl anlegen
var numValue:NSNumber = 4.501
// Die ganze Zahl des Wertes abrufen
var intValue:Int = numValue.integerValue

// NSNumber als eine ganze Zahl anlegen
var numValue2:NSNumber = 4
// Den Wert als Dezimalzahl abrufen
var doubleValue:Double = numValue2.doubleValue

// NSNumber als eine ganze Zahl anlegen
var numValue3:NSNumber = 0
// Den Wert als boolschen Typ abrufen
var boolValue:Bool = numValue3.boolValue





